SUMMARY: MODULE | CLASS | TYPE | PROC | VAR | CONST | DETAIL: TYPE | PROC | VAR | CONST

# URI:Query:Unparsed

### Import List

        ADT:StringBuffer
        Exception
        Exception
        Object
        Object
        TextRider
        URI

Class List
Query |

Class Summary: Query [Detail]
      +---URI.Query
           |
           +--URI:Query:Unparsed.Query
Field Summary
unparsed-: STRING Holds the query substring of a URI without any modifications.
Constructor Summary
Init(Query, STRING)
New(STRING): Query
Method Summary
Append(StringBuffer) Appends the textual representation of the query component query to the string sb.
Clone(): Query Creates a deep copy of the queryority component referenced by query.
Copy(Query) Copies contents of source query to target dest.
ParseQuery(CharsLatin1, Offset) Parses the query component str of an hierarchical URI.
WriteXML(Writer) Writes an XML fragment describing the query component to the writer w.
Inherited Methods
From URI.Query: Append, Clone, Copy, ParseQuery, WriteXML

Class Detail: Query

Field Detail

### unparsed

    FIELD unparsed-: STRING

> Holds the query substring of a URI without any modifications. In particular, escaped characters are not replaced with their character value. This field is never NIL.

Constructor Detail

### Init

    PROCEDURE Init(query: Query;
                   unparsed: STRING)

### New

    PROCEDURE New(unparsed: STRING): Query

Method Detail

### Append

    PROCEDURE (query: Query) Append(sb: StringBuffer)

> Appends the textual representation of the query component query to the string sb.

> [Description inherited from Append]

> Redefines: Append

### Clone

    PROCEDURE (query: Query) Clone(): Query

> Creates a deep copy of the queryority component referenced by query.

> [Description inherited from Clone]

> Redefines: Clone

### Copy

    PROCEDURE (query: Query) Copy(dest: Query)

> Copies contents of source query to target dest.

> Pre-condition: The dynamic type of dest is an extension of the dynamic type of query.

> [Description inherited from Copy]

> Redefines: Copy

### ParseQuery

    PROCEDURE (query: Query) ParseQuery(str: CharsLatin1;
                         offset: Offset)
      RAISES ParseError;

> Parses the query component str of an hierarchical URI. On success, the data is stored in the query object query and the result is NIL. In case of error, a message object is returned and query is not modified. A character position in an error message refers to an index in str, incremented by the value of offset.

> [Description inherited from ParseQuery]

> Redefines: ParseQuery

### WriteXML

    PROCEDURE (query: Query) WriteXML(w: Writer)

> Writes an XML fragment describing the query component to the writer w.

> [Description inherited from WriteXML]

> Redefines: WriteXML